Bug 1097981 - (CVE-2018-12460) VUL-0: CVE-2018-12460: ffmpeg: libavcodec in FFmpeg 4.0 may trigger a NULL pointer dereference if the studioprofile is incorrectly detected while converting a crafted AVI file to MPEG4,leading to a denial of service, related to idctdsp.c
(CVE-2018-12460)
VUL-0: CVE-2018-12460: ffmpeg: libavcodec in FFmpeg 4.0 may trigger a NULL po...
Status: RESOLVED UPSTREAM
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/208341/
CVSSv3:SUSE:CVE-2018-12460:5.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-18 07:11 UTC by Alexander Bergmann
Modified: 2018-11-09 06:55 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-06-18 07:11:39 UTC
CVE-2018-12460

libavcodec in FFmpeg 4.0 may trigger a NULL pointer dereference if the studio
profile is incorrectly detected while converting a crafted AVI file to MPEG4,
leading to a denial of service, related to idctdsp.c and mpegvideo.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-12460
https://github.com/FFmpeg/FFmpeg/commit/b3332a182f8ba33a34542e4a0370f38b914ccf7d
Comment 1 Johannes Segitz 2018-07-26 12:29:29 UTC
setting to maintainer group. Please submit. Thank you
Comment 2 Scott Reeves 2018-08-17 22:11:00 UTC
Hi Yifan, can you have your team take this. Thanks.
Comment 4 Qiang Zheng 2018-08-20 08:40:13 UTC
The fix is already in multimedia:libs/ffmpeg-4/ffmpeg-4.0.2
Comment 5 Johannes Segitz 2018-10-11 08:01:21 UTC
We need a maintenance submission for SLE 15 please.
Comment 6 Qiang Zheng 2018-10-16 07:34:46 UTC
(In reply to Johannes Segitz from comment #5)
> We need a maintenance submission for SLE 15 please.

SUSE:SLE-15:Update/ffmpeg-3.4.2 does not support MPEG-4 Simple Studio Profile, but multimedia:libs/ffmpeg-4/ffmpeg-4.0.2 does. The upstream fix is about this.
Comment 7 Johannes Segitz 2018-10-16 12:02:06 UTC
(In reply to Pete Zheng from comment #6)
I adjusted our tracking, thanks
Comment 8 Marcus Meissner 2018-11-09 06:55:58 UTC
close